Subject: Re: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Sep 2018 02:19:54 +0300

>> Actually, it already does, but `display-buffer-in-previous-window'
>> doesn't behave as expected.  Seems it fails.  Maybe the recursive edit
>> the debugger uses interferes, dunno.
>
> No.  It's the default setting of 'debugger-bury-or-kill'.  With
> 'append' it does reuse the previous window.  With the default 'bury'
> the buffer is not added to the window's list of previous buffers.  We
> can set the default to 'append' but then the *backtrace* buffer may
> eventually show up when invoking 'previous-buffer' which can be a
> nuisance, sometimes.

Another problem with 'append' is that when the user switches
to the window where *Backtrace* was displayed last time,
and types 'C-x C-e' in that window, then *Backtrace* will be
displayed in the same window.  Maybe it should have
(inhibit-same-window . t)?